# Asterisk Project : Asterisk 13 Application_Zapateller

Created by wikibot on Aug 08, 2014

# Zapateller()

### Synopsis

Block telemarketers with SIT.

### Description

Generates special information tone to block telemarketers from calling you.

This application will set the following channel variable upon completion:

- `ZAPATELLERSTATUS` - This will contain the last action accomplished by the Zapateller application. Possible values include:
  - NOTHING
  - ANSWERED
  - ZAPPED

### Syntax

    Zapateller(options)

##### Arguments

- `options` - Comma delimited list of options.
  - `answer` - Causes the line to be answered before playing the tone.
  - `nocallerid` - Causes Zapateller to only play the tone if there is no callerid information available.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538